#include "ControlManager.h"

ControlManager::ControlManager(wxWindow* parent) : parent_(parent), header_(nullptr), local_(nullptr)
{
    Init();
}

void ControlManager::Init()
{
    log_ = new LogControl(parent_);
    header_ = new HeaderControl(parent_);
    local_ = new LocalControl(parent_);
    remote_ = new RemoteControl(parent_);
    task_ = new TaskControl(parent_);
    online_ = new OnlineControl(parent_);

    header_->SetLogControl(log_);
}