#ifndef HEADERCONTROL_H
#define HEADERCONTROL_H

#include <ClientCore.h>
#include <wx/wx.h>

class LogControl;
class HeaderControl : public wxPanel
{
public:
    HeaderControl(wxWindow* parent);
    ~HeaderControl() override;

public:
    void SetLogControl(LogControl* logControl);

private:
    void Init();

private:
    void OnConnect(wxCommandEvent& event);
    void OnDisconnect(wxCommandEvent& event);

public:
    wxTextCtrl* textIP_;
    wxTextCtrl* textPort_;
    wxButton* btnConnect_;
    wxButton* btnDisconnect_;
    ClientCore clientCore_;

private:
    LogControl* logControl_;
};

#endif   // HEADERCONTROL_H